---
title: 'Moving my life to the cloud'
layout: post
published: true
cover-image: https://dl.dropboxusercontent.com/u/4298648/Cloud.jpg
---

For the past 2 years I've been running the majority of my life from my Macbook Pro and it's been absolutely fantastic. I even upgraded it last year by removing the optical disk drive and replacing it with an SSD drive - This not only made the laptop boot and run much faster (I also moved my boot partition to the SSD), but also allowed me to upgrade the original 500GB drive to a 1TB drive. The extra space was the perfect way of improving my laptop to an extent that I didn't need to upgrade the entire machine however it did generate it's own little issues and risks.

Whilst it was brilliant to be able to store all of my music, movies and most importantly pictures, locally - It did mean that redundancy became a much larger issue. Since I use Aperture to store and manage my rather large (80GB) photo library, I do live with the slight misfortune of all images being stored in a single file whilst making sure all of my files are constantly backed up is just a normal part of my life now, it doesn't reduce the risk of this single file becoming corrupted. 

__Enter, Dropbox.__

Time consuming a task as it was, moving my entire photo library to Dropbox was certainly one of my better choices. It not only means I don't have to worry about redundancy, it also means I can access my photo library from virtually any device, at any time (Assuming I don't have the library open on more than one device at any given time).

What this meant for me, was that I was able to completely drop the idea of local storage for the majority of my music, movies and pictures and instead move directly to the cloud. This, among other things meant that local storage space was no longer a concern and that a Macbook Air was once again a viable option. I had previously had an Air (Albeit an 11") for several months in the past, my largest issue aside from screen size at that time was the complete lack of local storage - With that problem removed I was able to upgrade.

I've now been running on my 13" Macbook air for almost a week and it's been an absolute dream. (I did upgrade to 8GB of RAM as my previous experience led me to believe this would be a better choice.) Since moving my photo library to Dropbox, I've also moved my personal site there too - Working with Jekyll makes this far too easy. My problem now, is that I'm fully connected to the cloud, both Dropbox and iCloud tend to run the majority of my life now, which means my Nexus 5 is a little less useful than before and I'm now heavily considering an iPhone 5S... Lets see how the weekend goes!

